aboutsummaryrefslogtreecommitdiff
path: root/scripts/ci/build_static.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/ci/build_static.sh')
-rwxr-xr-xscripts/ci/build_static.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/scripts/ci/build_static.sh b/scripts/ci/build_static.sh
new file mode 100755
index 000000000..24d8a2d6a
--- /dev/null
+++ b/scripts/ci/build_static.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+set -e
+
+CONFIG_OPT="--prefix=/opt/odp ${CONF}"
+
+cd "$(dirname "$0")"/../..
+./bootstrap
+echo "./configure $CONFIG_OPT"
+./configure $CONFIG_OPT
+
+make clean
+
+make -j $(nproc)
+
+make install
+
+make installcheck